#include "mzmalloc.h"
#include <assert.h>

void* mzmalloc(size_t len) {
  assert(len);
  void* rval = malloc(len);
  assert(rval);
  return rval;
}

void* mzcalloc(size_t nelem, size_t elsize) {
  assert(nelem && elsize);
  void* rval = calloc(nelem, elsize);
  assert(rval);
  return rval;
}

void* mzrealloc(void* ptr, size_t len) {
  assert(ptr);
  void* rval = realloc(ptr, len);
  assert(rval);
  return rval;
}
  
void mzfree(void* ptr) {
  assert(ptr);
  free(ptr);
}


