#ifndef _MZMALLOC_H_
#define _MZMALLOC_H_

#include <malloc.h>


void* mzmalloc(size_t len);
void* mzcalloc(size_t nelem, size_t elsize);
void* mzrealloc(void* ptr, size_t len);
void mzfree(void* ptr);

#define mznew(type, count) ((type*)mzcalloc((count), sizeof(type)))

#define mzrenew(ptr, type, countvar, newcount) { \
  if (!(countvar)) { \
    assert(!(ptr)); \
    ptr = (type*)mzmalloc((newcount)*sizeof(type)); \
  } else { \
    assert((ptr)); \
    ptr = (type*)mzrealloc((ptr), (newcount) * sizeof(type)); \
  } \
  countvar = (newcount); \
}


#endif
